# -*- coding: utf-8 -*-
#
# Author: Dean Harris (marcus_furius@hotmail.com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

import rssparser
import time 

class NewsReader:
    def __init__(self, feedURL, loadNews=True, maxitems=-1):
        self.maxitems = maxitems
        self.channel = rssparser.parse(feedURL)
        self.title = self.channel.channel.title
        self.link = self.channel.channel.link
        self.titles = []
        self.descriptions = []
        self.links = []
        self.times = []
        if loadNews:
            self.readFeed()
        
    def readFeed(self):
        self.itemcount = 0
        for channelitem in self.channel['items']:
            if self.maxitems == -1 or self.itemcount < self.maxitems:
                self.titles.append(channelitem.get("title").replace("*",""))
                self.descriptions.append(channelitem.get("description"))
                self.links.append(channelitem.get("link"))
                self.times.append(channelitem.get("updated"))
                self.itemcount += 1

